## dependency-check-cli

## Checkstyle Results

The following document contains the results of Checkstyle.

## Summary

Files | Infos | Warnings | Errors
--- | --- | --- | ---
14 | 0 | 0 | 4

## Files

Files | I | W | E
--- | --- | --- | ---
src/main/java/org/owasp/dependencycheck/App.java | 0 | 0 | 3
src/main/java/org/owasp/dependencycheck/cli/CliParser.java | 0 | 0 | 1

## Details

### src/main/java/org/owasp/dependencycheck/App.java

Violation | Message | Line
--- | --- | ---
| More than 7 parameters (found 8). | 153
| Expected @param tag for 'proxyUser'. | 154
| Expected @param tag for 'proxyPass'. | 154

### src/main/java/org/owasp/dependencycheck/cli/CliParser.java

Violation | Message | Line
--- | --- | ---
| Line is longer than 150 characters (found 160). | 103